org.jfree.data.xml

## Class ValueHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.jfree.data.xml.ValueHandler

All Implemented Interfaces:
  DatasetTags, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class ValueHandler
    extends org.xml.sax.helpers.DefaultHandler
    implements DatasetTags

A handler for reading a 'Value' element.

### Field Summary

### Fields inherited from interface org.jfree.data.xml.DatasetTags

`CATEGORYDATASET_TAG, ITEM_TAG, KEY_TAG, PIEDATASET_TAG, SERIES_TAG, VALUE_TAG`

### Constructor Summary

Constructors
Constructor and Description
`ValueHandler(RootHandler rootHandler, ItemHandler itemHandler)` Creates a new value handler.

### Method Summary

Methods
`void` `characters(char[] ch, int start, int length)` Receives some (or all) of the text in the current element.
`protected void` `clearCurrentText()` Removes all text from the textbuffer at the end of a CDATA section.
`void` `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` The end of an element.
`protected java.lang.String` `getCurrentText()` Returns the current text of the textbuffer.
`void` `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` The start of an element.

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValueHandler

    public ValueHandler(RootHandler rootHandler,
                ItemHandler itemHandler)

Creates a new value handler.

Parameters:
  `rootHandler` - the root handler.
  `itemHandler` - the item handler.

### Method Detail

#### startElement

    public void startElement(java.lang.String namespaceURI,
                    java.lang.String localName,
                    java.lang.String qName,
                    org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

The start of an element.

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.DefaultHandler`
Parameters:
  `namespaceURI` - the namespace.
  `localName` - the element name.
  `qName` - the element name.
  `atts` - the attributes.
Throws:
  `org.xml.sax.SAXException` - for errors.

#### endElement

    public void endElement(java.lang.String namespaceURI,
                  java.lang.String localName,
                  java.lang.String qName)
                    throws org.xml.sax.SAXException

The end of an element.

Specified by:
  `endElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endElement` in class `org.xml.sax.helpers.DefaultHandler`
Parameters:
  `namespaceURI` - the namespace.
  `localName` - the element name.
  `qName` - the element name.
Throws:
  `org.xml.sax.SAXException` - for errors.

#### characters

    public void characters(char[] ch,
                  int start,
                  int length)

Receives some (or all) of the text in the current element.

Specified by:
  `characters` in interface `org.xml.sax.ContentHandler`
Overrides:
  `characters` in class `org.xml.sax.helpers.DefaultHandler`
Parameters:
  `ch` - character buffer.
  `start` - the start index.
  `length` - the length of the valid character data.

#### getCurrentText

    protected java.lang.String getCurrentText()

Returns the current text of the textbuffer.

Returns:
  The current text.

#### clearCurrentText

    protected void clearCurrentText()

Removes all text from the textbuffer at the end of a CDATA section.